commit d82fc939f914e901b2686bb25b277cb75d4ea53f
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Mon Dec 23 18:46:10 2024 +0100

    testsuite: libstdc++: Use effective-target libatomic
    
    Test assumes libatomic.a is always available, but for some embedded
    targets, there is no libatomic.a and the test thus fail.
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/29_atomics/atomic_float/compare_exchange_padding.cc:
            Use effective-target libatomic_available.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 4b0ef49d02f1f16325aa53fee3b0f6860728d2f8)

diff --git a/libstdc++-v3/testsuite/29_atomics/atomic_float/compare_exchange_padding.cc b/libstdc++-v3/testsuite/29_atomics/atomic_float/compare_exchange_padding.cc
index 49626ac6651..9395e3026a7 100644
--- a/libstdc++-v3/testsuite/29_atomics/atomic_float/compare_exchange_padding.cc
+++ b/libstdc++-v3/testsuite/29_atomics/atomic_float/compare_exchange_padding.cc
@@ -1,5 +1,6 @@
 // { dg-do run { target c++20 } }
 // { dg-options "-O0" }
+// { dg-require-effective-target libatomic_available }
 // { dg-additional-options "[atomic_link_flags [get_multilibs]] -latomic" }
 
 #include <atomic>

